# Command: ToMathematicaExpression

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ToMathematicaExpression - converts SLI data to Mathematica input

Synopsis:

      any ToMathematicaExpression -> string

Examples:

      [3.4 (hello) [2 3] ] ToMathematicaExpression -->
      ({ImportString["3.4","List"][[1]], "hello", {2, 3}})
      << /i 6 /s (hello) >> ToMathematicaExpression -->
      ({i -> 6, s -> "hello"})

Description:

      An error is raised for unsupported SLI data types. In particular,
      the function also converts heterogeneous arrays and dictionaries.

Remarks:

      The conversion of doubles does not yet guarantee the existence
      of the decimal point and an appropriate number of digits.

References:

      [1] The Mathematica Book

Author:

    Diesmann

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative